summaryrefslogtreecommitdiffstats
path: root/source/n/inetd
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/inetd')
-rw-r--r--source/n/inetd/fix-x86_64-daytime-segfault.diff28
-rwxr-xr-xsource/n/inetd/inetd.SlackBuild7
2 files changed, 33 insertions, 2 deletions
diff --git a/source/n/inetd/fix-x86_64-daytime-segfault.diff b/source/n/inetd/fix-x86_64-daytime-segfault.diff
new file mode 100644
index 000000000..21262da87
--- /dev/null
+++ b/source/n/inetd/fix-x86_64-daytime-segfault.diff
@@ -0,0 +1,28 @@
+--- a/inetd.c 2013-11-14 10:34:46.604127237 +0100
++++ b/inetd.c 2013-11-14 10:35:56.168907312 +0100
+@@ -165,6 +165,7 @@ static char xtraid[] = "$Slackware: inet
+ #include <stdlib.h>
+ #include <unistd.h>
+ #include <string.h>
++#include <time.h>
+ /* #include <login_cap.h> */
+ #include <rpc/rpc.h>
+ #include <rpc/pmap_clnt.h>
+@@ -2096,7 +2097,7 @@ daytime_stream(s, sep) /* Return human-
+ struct servtab *sep;
+ {
+ char buffer[256];
+- time_t time(), clock;
++ time_t clock;
+
+ clock = time(NULL);
+
+@@ -2111,7 +2112,7 @@ daytime_dg(s, sep) /* Return human-read
+ struct servtab *sep;
+ {
+ char buffer[256];
+- time_t time(), clock;
++ time_t clock;
+ /* struct sockaddr_storage ss; */
+ struct sockaddr sa;
+ int size;
diff --git a/source/n/inetd/inetd.SlackBuild b/source/n/inetd/inetd.SlackBuild
index 479b5ebbb..e21864012 100755
--- a/source/n/inetd/inetd.SlackBuild
+++ b/source/n/inetd/inetd.SlackBuild
@@ -21,12 +21,12 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
VERSION=1.79s
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-9}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -57,6 +57,9 @@ zcat $CWD/inetd.loopingdos.diff.gz | patch -p1 --backup --suffix=.orig --verbose
# GCC 4 fix (thanks Fred Emmott)
sed -i 's#(type)\([a-z]\)=(type)\([a-z]\)#\1=(type)\2#g' inetd.c
+# Fix segfault of daytime on x86_64 (thanks tfonz on LQ)
+zcat $CWD/fix-x86_64-daytime-segfault.diff.gz | patch -p1 || exit 1
+
make || exit 1
strip inetd